Package org.apache.felix.http.base.internal.context

## Interface ExtServletContext

All Superinterfaces:
  `javax.servlet.ServletContext`

All Known Implementing Classes:
  `ExtServletContextWrapper`, `PerBundleServletContextImpl`, `ServletContextImpl`

    public interface ExtServletContext
    extends javax.servlet.ServletContext

### Field Summary

### Fields inherited from interface javax.servlet.ServletContext

`ORDERED_LIBS, TEMPDIR`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `finishSecurity​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`org.apache.felix.http.base.internal.HttpConfig` `getConfig()`
`javax.servlet.http.HttpSessionAttributeListener` `getHttpSessionAttributeListener()`
`javax.servlet.http.HttpSessionListener` `getHttpSessionListener()`
`javax.servlet.ServletRequestAttributeListener` `getServletRequestAttributeListener()`
`javax.servlet.ServletRequestListener` `getServletRequestListener()`
`boolean` `handleSecurity​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

### Methods inherited from interface javax.servlet.ServletContext

`addFilter, addFilter, addFilter, addJspFile, addListener, addListener, addListener, addServlet, addServlet, addServlet, createFilter, createListener, createServlet, declareRoles, getAttribute, getAttributeNames, getClassLoader, getContext, getContextPath, getDefaultSessionTrackingModes, getEffectiveMajorVersion, getEffectiveMinorVersion, getEffectiveSessionTrackingModes, getFilterRegistration, getFilterRegistrations, getInitParameter, getInitParameterNames, getJspConfigDescriptor, getMajorVersion, getMimeType, getMinorVersion, getNamedDispatcher, getRealPath, getRequestCharacterEncoding, getRequestDispatcher, getResource, getResourceAsStream, getResourcePaths, getResponseCharacterEncoding, getServerInfo, getServlet, getServletContextName, getServletNames, getServletRegistration, getServletRegistrations, getServlets, getSessionCookieConfig, getSessionTimeout, getVirtualServerName, log, log, log, removeAttribute, setAttribute, setInitParameter, setRequestCharacterEncoding, setResponseCharacterEncoding, setSessionTimeout, setSessionTrackingModes`

### Method Detail

#### handleSecurity

    boolean handleSecurity​(javax.servlet.http.HttpServletRequest req,
                           javax.servlet.http.HttpServletResponse res)
                    throws IOException

Throws:
  `IOException`

#### finishSecurity

    void finishSecurity​(javax.servlet.http.HttpServletRequest req,
                        javax.servlet.http.HttpServletResponse res)

#### getHttpSessionAttributeListener

    javax.servlet.http.HttpSessionAttributeListener getHttpSessionAttributeListener()

#### getHttpSessionListener

    javax.servlet.http.HttpSessionListener getHttpSessionListener()

#### getServletRequestListener

    javax.servlet.ServletRequestListener getServletRequestListener()

#### getServletRequestAttributeListener

    javax.servlet.ServletRequestAttributeListener getServletRequestAttributeListener()

#### getConfig

    org.apache.felix.http.base.internal.HttpConfig getConfig()